# Mini-Projekt: Text-Adventure

In diesem Dokument sammeln wir Ideen zu unserem Stream Mini-Projekt.

### Ideen - Game Design

- Inventar
  - Items aufheben
  - Items benutzen
  - (Items wegwerfen)
  - Keine Begrezung beim Inventarplatz
  - (Item Kategorien / getrennte Beutel)
  - (Suchfunktion)
  - Kombinieren (von zwei Items)
  - Inspizieren von Items (z.B. `inspect <item_name>`)

- Navigation
  - Objektbezogene Navigation (`enter <door_name>`)
  - Informationen ueber den jeweiligen Raum (`look around`)
    - Sagt einem nur, welche Dinge offensichtlich in einem Raum erkennbar sind
  - Beim Betreten eines Raumes, bekommt der Spieler direkt Informationen darueber, welche Dinge im Raum offensichtlich vorhanden sind (z.B. eine Tuer, oder ein absurd grosser Schlumpf)
  - Um verstecktere bzw. weniger offensichtliche Dinge finden zu koennen, muss man die Umgebung genauer betrachten (z.B. `look at table`, um ein Feuerzeug zu finden)

- Interaktion
  - Objekte anschauen mit `look at <name>`
    - Gibt dem Spieler auch mehr Informationen, als `look around`
  - Objekte nehmen mit `take <name>`
  - Objekte benutzen mit `use <name>`

### Ideen - Level Design

- Raeume befinden sich in JSON Spieldaten
- Jeder Raum hat mindestens eine Tuer zu einem weiteren Raum
  - Ausnahme 1: Ein abgezweigter Raum, aus dem man aber zurueck kommt
  - Ausnahme 2: Der erste und letzte Raum im Spiel
  - Jede Tuer hat die Information darueber, in welcher Himmelsrichtung sie liegt
- Raeume koennen beleuchtet sein, oder Beleuchtung erfordern
- Manche Tueren koennen einen passenden Schluessel erfordern
- Manche Kisten koennen einen passenden Schluessel erfordern

### Ideen - Story / Lore

- Lore: Spieler begibt sich zu einem Lost Place (altes Hotel), da sich dort etwas Wertvolles befinden soll.
  - Dachgeschoss:
    - Zugang nur per Aufzug (Treppe ist eingestuerzt)
  - 1\. Stockwerk:
    - Gaestezimmer, fuer jedes braucht es eine Schluesselkarte
  - Erdgeschoss: 
    - Zugang Aufzug, mit dem man ins Dachgeschoss kommt
  - Kellergeschoss:
    - Aufzugsraum, wo man den Strom fuer den Aufzug einschalten muss

### Example Run

| Who   | Text                                                                                                                                                                                                                                 |
| ----- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Story | Du findest dich in einem dunklen Raum wieder.                                                                                                                                                                                        |
| You   | `look around`                                                                                                                                                                                                                        |
| Story | Du kannst gerade so die Umrisse einer Fackel ausmachen.                                                                                                                                                                              |
| You   | `light torch`                                                                                                                                                                                                                        |
| Story | Um die Fackel anzuenden zu koennen benoetigst du eine Zuendquelle.                                                                                                                                                                   |
| You   | `go back`                                                                                                                                                                                                                            |
| Story | Du befindest dich wieder in der Eingangshalle.                                                                                                                                                                                       |
| You   | `look around`                                                                                                                                                                                                                        |
| Story | In der Eingangshalle finden sich verschiedene Moebel, Tueren und andere Einrichtungsgegenstaende. Neben einem Kamin steht ein kleiner Tisch, waehrend in einer dunkleren Ecke die Umrisse einer alten Tuer gerade so erkennbar sind. |
| You   | `look at table`                                                                                                                                                                                                                      |
| Story | Auf dem Tisch liegen verschiedene Gegenstaende, um den Kamin zu entzuenden. Darunter auch eine Streichholzschachtel.                                                                                                                 |
| You   | `take matches`                                                                                                                                                                                                                       |
| Story | Du steckst die Streichhoelzer ein.                                                                                                                                                                                                   |
| You   | `go to door`                                                                                                                                                                                                                         |
| Story | Du gehst durch die Tuer in der dunklen Ecke. Du findest dich in einem dunklen Raum wieder.                                                                                                                                           |
| You   | `light torch`                                                                                                                                                                                                                        |
| Story | Du entzuendest die Fackel mit einem Streichholz und erfuellst den Raum mit Licht. Leider war es das letzte Streichholz in der Schachtel.                                                                                             |