import io
import os
import json
from inventory import Inventory
from room import Room
from interactable import Interactable

class Game:
    def __init__(self):
        self.inventory = Inventory()
        self.rooms = []
    
    def load_game(self, file):
        try:
            with open(file, 'r') as f:
                raw_game_data = f.read()
                game_data = json.loads(raw_game_data)

                if 'rooms' in game_data:
                    for room_data in game_data['rooms']:
                        g_room = Room(room_data['name'])
                        g_room.doors = room_data['doors']
                        g_room.interactables = []
                        g_room.is_start = False
                        
                        if 'is_start' in room_data:
                            for r in self.rooms:
                                if r.is_start:
                                    print(f"Error: {g_room.name} is marked as the starting room, but {r.name} is already marked as the starting room.")
                                    os._exit(1)
                            
                            g_room.is_start = room_data['is_start']
                        else:
                            g_room.is_start = False
                        
                        if 'interactables' in room_data:
                            for interactable in room_data['interactables']:
                                i = Interactable(interactable['name'], interactable['text'])
                                g_room.interactables.append(i)

                        self.rooms.append(g_room)

                
        except FileNotFoundError:
            print("File not found.")
    
    def get_rooms(self):
        if not self.game_data:
            return None
    
